Bug 1113567 - scalapack: undefined non-weak symbols and unused direct shlib dependencies
Summary: scalapack: undefined non-weak symbols and unused direct shlib dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scalapack
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-26 12:37 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2014-07-17 04:33 UTC (History)
4 users (show)

Fixed In Version: scalapack-1.7.5-21.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 04:30:24 UTC


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2014-06-26 12:37:43 UTC
Description of problem:
scalapack packages have a load of undefined non-weak symbols and also some unused shared library dependencies.

Version-Release number of selected component (if applicable):
$ rpm -q scalapack-mpich scalapack-openmpi
scalapack-mpich-1.7.5-20.fc20.x86_64
scalapack-openmpi-1.7.5-20.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum install scalapack-mpich scalapack-openmpi
2. rpmlint scalapack-mpich scalapack-openmpi

Actual results:
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgsum2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrmm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zherk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cswap_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dswap_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrmv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dger_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cher_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 caxpy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sswap_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 daxpy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsymm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 chemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssyr2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 saxpy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrmm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsyr_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ccopy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgeru_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 csyr2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrsm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgerc_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dcopy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgsum2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgeru_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgsum2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strmm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssymm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zsyrk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 scopy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsyr2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsyrk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssyr_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssyr2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zher2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrsm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrmv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strmv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zaxpy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zher_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssymv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgsum2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zhemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrmv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgerc_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 chemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zher2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zswap_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigsum2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zsymm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrmm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cher2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 csymm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrsm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cherk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 csyrk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sger_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cher2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zsyr2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strsm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsyr2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zcopy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsymv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zhemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssyrk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 _gfortran_concat_string
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 csqrt
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strrv2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sincos
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgsum2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cscal_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgebs2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sdot_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrmm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgebr2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 snrm2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sqrt
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_abort_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zherk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrbs2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cswap_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cblacs_gridinit
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dswap_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cblacs_gridmap
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_pinfo_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrmv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 _gfortran_st_write_done
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctbsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dcputime00_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dger_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 claed0_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrrv2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgerv2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cher_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 caxpy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgebr2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zdrot_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zscal_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgamx2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sswap_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgerv2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgebr2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dzasum_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 daxpy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 izamax_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgsum2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sasum_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cabs
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zlaed0_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 csqrtf
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgesd2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgebs2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgerv2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_gridinit_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrbs2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 igebr2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 powf
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sqrtf
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cblacs_pnum
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgamx2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgamx2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 chemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssyr2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgsum2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 saxpy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dnrm2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_barrier_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrmm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 _gfortran_pow_i4_i4
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dwalltime00_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgamx2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrbr2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztbsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrbr2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 expf
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 igamn2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zdotu_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsyr_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 _gfortran_st_write
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 clacrm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_freebuff_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 srot_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ccopy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgesd2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrsd2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_gridmap_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgeru_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 csrot_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 log
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrsm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sscal_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgerc_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dcopy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 igesd2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sincosf
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 scnrm2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgsum2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 lroundf
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgamn2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgsum2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgeru_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgamx2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dscal_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgamn2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strbr2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgsum2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zdscal_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Ccgesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cblacs_gridexit
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strmm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 _gfortran_transfer_integer_write
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrrv2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ddot_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgesd2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_get_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 isamax_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 _gfortran_compare_string
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrbr2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigerv2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 stbsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_pnum_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zsteqr_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 scasum_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgemm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 scopy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zdotc_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsyr2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsyrk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 csscal_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dasum_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssyr_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strsd2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssyr2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 logf
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgesd2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zher2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgebs2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrsm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cabsf
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 idamax_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 _gfortran_transfer_character_write
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 igsum2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cosf
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgebs2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtbsv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrmv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 _gfortran_transfer_real_write
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zlacrm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strmv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zaxpy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zher_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssymv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgsum2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Czgesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 igerv2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgamx2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cblacs_barrier
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgebs2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_setup_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrmv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgebr2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cdgesd2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Csgebr2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_gridinfo_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrrv2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 _gfortran_stop_string
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cigamn2d
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cblacs_gridinfo
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 exp
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgerc_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 igebs2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zher2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 lround
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strbs2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zswap_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrmm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 pow
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cblacs_pinfo
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 igamx2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_gridexit_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sgemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cdotu_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cher2k_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 blacs_exit_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zgamx2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrsm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cblacs_get
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cherk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cdotc_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dtrbs2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 sger_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 csteqr_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cos
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cher2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgsum2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 Cblacs_abort
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 strsm_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dznrm2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsyr2_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ctrsd2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zcopy_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 log10
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 icamax_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dsymv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 zhemv_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ssyrk_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 log10f
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 ztrsd2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 cgerv2d_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 drot_
scalapack-mpich.x86_64: W: undefined-non-weak-symbol /usr/lib64/mpich/lib/libscalapack.so.1.0.0 dgamx2d_
scalapack-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscalapack.so.1.0.0 /usr/lib64/mpich/lib/libmpich.so.10
scalapack-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscalapack.so.1.0.0 /usr/lib64/mpich/lib/libopa.so.1
scalapack-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscalapack.so.1.0.0 /usr/lib64/mpich/lib/libmpl.so.1
scalapack-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscalapack.so.1.0.0 /lib64/librt.so.1
scalapack-mpich.x86_64: W: unused-direct-shlib-dependency /usr/lib64/mpich/lib/libscalapack.so.1.0.0 /lib64/libpthread.so.0

(-mpich only, -openmpi is similar)

Comment 1 Fedora Update System 2014-07-07 17:20:07 UTC
scalapack-1.7.5-21.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/scalapack-1.7.5-21.fc20

Comment 2 Fedora Update System 2014-07-07 17:20:17 UTC
scalapack-1.7.5-21.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/scalapack-1.7.5-21.fc19

Comment 3 lnie 2014-07-08 02:51:54 UTC
scalapack-1.7.5-21.fc20 works

Comment 4 Fedora Update System 2014-07-09 02:29:04 UTC
Package scalapack-1.7.5-21.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scalapack-1.7.5-21.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8187/scalapack-1.7.5-21.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-07-17 04:30:24 UTC
scalapack-1.7.5-21.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-07-17 04:33:50 UTC
scalapack-1.7.5-21.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.